export declare const Helper: {
    breadthFirstWalkTree: (node: import("..").Mind.Node, callback: {
        before: (node: import("..").Mind.Node) => boolean;
        after: (rank: import("..").Mind.Node[]) => void;
    }) => void;
    depthFirstWalkTree: (root: import("..").Mind.Node, callback: {
        before: (node: import("..").Mind.Node, parent?: import("..").Mind.Node | undefined) => boolean;
        after: (node: import("..").Mind.Node, parent?: import("..").Mind.Node | undefined) => void;
    }) => void;
    descendant: (node: import("..").Mind.Node) => import("..").Mind.Node[];
    error: (message: string) => Error;
    getLayoutCalcChildren: (node: import("..").Mind.Node, rootId: string, getRootHeirOrientation: import("../process").Process.getRootHeirOrientationFunc) => import("..").Mind.Node[];
    getSvgPathId: (id: string) => string;
    judgeIfAllChildFold: (node: import("..").Mind.Node, rootId: string) => boolean;
    judgeIfHeirAndFold: (node: import("..").Mind.Node, parent: import("..").Mind.Node | undefined, root: import("..").Mind.Root, getRootHeirOrientation: import("../process").Process.getRootHeirOrientationFunc) => boolean;
    judgeIfVisualLeaf: (node: import("..").Mind.Node, children?: import("..").Mind.Node[] | undefined) => boolean | boolean[] | undefined;
    rootToNodeArray: (root: import("..").Mind.Root, callback: (node: import("..").Mind.Node) => void) => import("..").Mind.Node[];
    transformRootToWalkable: (root: import("..").Mind.Root) => {
        getRootHeirOrientation: (id: string) => import("..").Mind.Orientation;
        shadowNode: import("..").Mind.Node;
    };
    withPrefix: (message: string) => string;
};
