import { Process } from '../../index';
import { DraggableLayout } from '../type';
export declare class StructuredLayout extends DraggableLayout implements Process.Lifecycle {
    private options;
    private cacheMap;
    private root;
    private getRootHeirOrientation;
    start: (context: Process.StartContext) => void;
    afterEvery: (context: Process.EveryContext) => void;
    end: () => void;
    static calcDragAttach: typeof DraggableLayout.calcDragAttach;
    static calcDropIndex: typeof DraggableLayout.calcDropIndex;
}
