import { Mind } from '../index';
export declare class Zoom {
    private viewport;
    private controller;
    private callback?;
    private event?;
    constructor(viewport: HTMLElement);
    bind: (callback: (transform: Mind.Transform) => void, event: Mind.ZoomEvent) => void;
    syncZoomExtent: (size: Mind.Size) => void;
    syncZoomExtentOptions: (context: {
        options: Required<Mind.Options>;
    }) => void;
    scale: (scale: number, point?: Mind.Coordinate | undefined, duration?: number) => void;
    translate: (translate: Mind.Coordinate, duration?: number) => void;
    setTransform: (transform: Mind.Transform, duration?: number) => void;
    destroy: () => void;
}
